
import java.util.ArrayList;
import java.util.Scanner;

/**
 *
 * @author cteam023
 */
public class Fr {

    private Uzel[] uzly;
    private int centralniUzel;
    
    
    
    
    public Fr(int pocetUzlu, int centralniUzel){
        uzly = new Uzel[pocetUzlu];        
        for (int i = 0; i < pocetUzlu; i++){
            uzly[i] = new Uzel();
        }
        this.centralniUzel = centralniUzel;
    }
    
    public void pridejSpojeni(int uzel1, int uzel2, int sila){
        Spojeni spoj = new Spojeni(uzly[uzel1], uzly[uzel2], sila);
        uzly[uzel1].pridejSpojeni(spoj);
        uzly[uzel2].pridejSpojeni(spoj);
    }
    
    public void vyres(){
        int vysl = uzly[centralniUzel].getNejmensi();
        System.out.println(vysl);
    }
    

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int pocetUzlu;
        int centralni;
        while (sc.hasNextInt()){
            pocetUzlu = sc.nextInt();
            centralni = sc.nextInt();
            Fr pripad = new Fr(pocetUzlu, centralni - 1);            
            for (int i = 0; i < pocetUzlu -1; i++){
                pripad.pridejSpojeni(sc.nextInt() - 1, sc.nextInt() - 1, sc.nextInt());
            }
            pripad.vyres();
        }
        
    }
    
    private static class Uzel{        
        private int expand;
        
        private ArrayList<Spojeni> spojeni;
                
        
        public Uzel(){
            expand = Integer.MAX_VALUE;
            spojeni = new ArrayList<Spojeni>();
        }
        
        public void pridejSpojeni(Spojeni spoj){            
            spojeni.add(spoj);
        }
        
        public int getNejmensi(){
            this.expand = 0;
            for (Spojeni i : spojeni){
                i.getDruhy(this).expanduj(i);
                this.expand += i.getDruhy(this).expand;
            }
            return this.expand;
            
        }
                
        
        private void expanduj(Spojeni spoj){
            this.expand = spoj.sila;
            int podsoucet = 0;
            for (Spojeni i: spojeni){
                if (i == spoj){
                    continue;
                }
                i.getDruhy(this).expanduj(i);
                podsoucet += i.getDruhy(this).expand;
            }
            if (podsoucet < this.expand){
                if (podsoucet == 0){
                    return;
                }
                this.expand = podsoucet;
            }
            
        }
        
        
        
    }
    
    private static class Spojeni{
        private Uzel uzel1, uzel2;
        public int sila;
        
        public Spojeni(Uzel uzel1, Uzel uzel2, int sila){
            this.uzel1 = uzel1;
            this.uzel2 = uzel2;
            this.sila = sila;
        }

        public Uzel getDruhy(Uzel tento){
            if (tento == uzel1){
                return uzel2;
            }
            return uzel1;
        }
        
        
        
    }

}
